Package: org.codehaus.groovy.control

## [Java] Class Janitor

- org.codehaus.groovy.control.Janitor

- All Implemented Interfaces and Traits:
    HasCleanup

      public class Janitor
      extends Object
      implements HasCleanup

  An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `cleanup()`
    `` | `public void` | `register(HasCleanup object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public void cleanup()

    - #### public void register(HasCleanup object)